Trust Centers
Set groups for a Trust Center subscriber
Sets groups on a subscriber.
PUT
/
trust-centers
/
{slugId}
/
subscribers
/
{subscriberId}
/
groups
Set groups for a Trust Center subscriber
curl --request PUT \
--url https://api.vanta.com/v1/trust-centers/{slugId}/subscribers/{subscriberId}/groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groupIds": [
"<string>"
]
}
'import requests
url = "https://api.vanta.com/v1/trust-centers/{slugId}/subscribers/{subscriberId}/groups"
payload = { "groupIds": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({groupIds: ['<string>']})
};
fetch('https://api.vanta.com/v1/trust-centers/{slugId}/subscribers/{subscriberId}/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a2f7e1b9d0c3f4e5a6c7b8d9",
"email": "subscriber@example.com",
"isEmailVerified": true,
"creationDate": "2020-01-01T00:00:00.000Z",
"customerTrustAccountId": null,
"groups": [
{
"id": "b3e8f2c0d1a4f5e6b7d8c9e0",
"name": "Security Managers"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Group IDs to set for the subscriber. The subscriber will be removed from any groups not included in this list.
Response
200 - application/json
Trust Center subscriber assigned to groups
Unique identifier for the subscriber.
Email of the subscriber.
Whether the subscriber's email has been verified.
When the subscriber was created.
The ID of the customer trust account this subscriber is linked to, if any.
Groups this subscriber belongs to.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
Set groups for a Trust Center subscriber
